import { BaseXform } from "../base-xform.js";
import { CommentXform } from "./comment-xform.js";
interface CommentsModel {
    comments: any[];
}
declare class CommentsXform extends BaseXform {
    map: {
        [key: string]: CommentXform;
    };
    parser: any;
    model: CommentsModel;
    constructor();
    render(xmlStream: any, model?: CommentsModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
    static COMMENTS_ATTRIBUTES: {
        xmlns: string;
    };
}
export { CommentsXform };
